%global pkg_name        Attribute-TieClasses
%global pkg_version     0.03
%global rpm_pkg_version 0.03
%global rpm_pkg_release 1.n0i.4

Summary:       Attribute wrappers for CPAN Tie classes
Name:          perl-%{pkg_name}
Version:       %{rpm_pkg_version}
Release:       %{rpm_pkg_release}%{?cpan_version}%{?dist}

Group:         Development/Libraries
License:       GPL+ or Artistic
URL:           http://search.cpan.org/dist/%{pkg_name}/
Source0:       http://www.cpan.org/authors/id/M/MA/MARCEL/%{pkg_name}-%{pkg_version}.tar.gz

BuildArch:     noarch
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: rpm-build-reb00t-perl
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Attribute::Handlers) >= 0.61


%description
Damian Conway's wonderful "Attribute::Handlers" module provides an easy way
to use attributes for "tie()"ing variables. Still, going one step further,
it might be useful to have centrally defined attributes corresponding to
commonly used Tie classes found on CPAN. Simply "use()"ing this module
doesn't bring in all those potential Tie classes; they are only loaded when
an attribute is actually used.


%prep
%setup -q -n %{pkg_name}-%{pkg_version}


%build
%{perl_build}
%{!?_without_test:%{__make} test}


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{perl_install}


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{perl_files}
%doc Changes README


%changelog
* Fri Oct 19 2007 Marius Feraru <altblue@n0i.net> - 0.03-1.n0i.4
- version 0.03

* Sun Sep 09 2007 Marius Feraru <altblue@n0i.net> - 0.02-1.n0i.3
- version 0.02

* Thu Jun 14 2007 Marius Feraru <altblue@n0i.net> - 0.01-2.n0i.2
- spec file (re)created using N0i::CPAN::RPMizer/1.14.9
- rebuild on perl 5.8.8

* Fri Jul 29 2005 Marius Feraru <altblue@n0i.net> 0.01-1.n0i.1
- spec file (re)created using N0i::CPAN::RPMizer/1.01
- rebuild on perl 5.8.7
